org.yaml.snakeyaml

## Enum DumperOptions.NonPrintableStyle

- java.lang.Object
- - java.lang.Enum<DumperOptions.NonPrintableStyle>
  - - org.yaml.snakeyaml.DumperOptions.NonPrintableStyle

All Implemented Interfaces:
  Serializable, Comparable<DumperOptions.NonPrintableStyle>

Enclosing class:
  DumperOptions

    public static enum DumperOptions.NonPrintableStyle
    extends Enum<DumperOptions.NonPrintableStyle>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`BINARY` Transform String to binary if it contains non-printable characters
`ESCAPE` Escape non-printable characters

### Method Summary

Methods
`static DumperOptions.NonPrintableStyle` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static DumperOptions.NonPrintableStyle[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### BINARY

    public static final DumperOptions.NonPrintableStyle BINARY

Transform String to binary if it contains non-printable characters

#### ESCAPE

    public static final DumperOptions.NonPrintableStyle ESCAPE

Escape non-printable characters

### Method Detail

#### values

    public static DumperOptions.NonPrintableStyle[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (DumperOptions.NonPrintableStyle c : DumperOptions.NonPrintableStyle.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static DumperOptions.NonPrintableStyle valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null